/*****************************************************************************
*                        Header of data maker program                        *
*                                Version 3.0-fusion3d                        *
*                                           2005.4.21                        *
*                              Copyright  Keita Ogawa                        *
*****************************************************************************/
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

/*****************************************************************************
*                         Simulation Parameter                               *
*****************************************************************************/
#define dx      0.3                        /* X grid spacing                */
#define dy      0.3                        /* Y grid spacing                */
#define dz      0.3                        /* Z grid spacing                */
#define dt      0.1                        /* Time step                     */

#define imx     200                        /* Number of grid points (x)     */
#define jmx     100                        /* Number of grid points (y)     */
#define kmx     100                        /* Number of grid points (z)     */
#define nmx 4000000                        /* Number of particles           */
#define tmx    3000                        /* Time limit                    */

#define lp    (5.927533309*6.0)            /* Layer of plasma  71.17724     */
#define lg    (5.927533309)                /* Layer of gradient 1           */
#define dbp   (5.927533309*2.0)            /* Distance by plazma wall 300.0 */
#define um    (5.927533309)

#define FBUF  50                           /* Files buffer                  */
#define BEGIN 0                            /* Record start time     (lap)   */
#define STEP  100                          /* Interval output data  (lap)   */

/*****************************************************************************
*                         Useful Parameter definition                        *
*****************************************************************************/
#define hdx   (dx/2.0)                     /* Half of dx                    */
#define hdy   (dy/2.0)                     /* Half of dy                    */
#define hdz   (dz/2.0)                     /* Half of dz                    */
#define hdt   (dt/2.0)                     /* Half of dt                    */
#define qdt   (dt/4.0)                     /* Quarter of dt                 */

#define Lx    ((imx)*dx)                   /* Distance x of simulation area */
#define Ly    ((jmx)*dy)                   /* Distance y of simulation area */
#define Lz    ((kmx)*dz)                   /* Distance z of simulation area */

#define tg    ((imx)*(jmx)*(kmx))
#define twp   (2.0*3.1415926535)

#define imm   (imx-1)
#define jmm   (jmx-1)
#define kmm   (kmx-1) 
#define imp   (imx+1)
#define jmp   (jmx+1)
#define kmp   (kmx+1) 

#ifdef gradient
#define tlp   (lg1+lg2+lp)                 /* Total layer plazma wall       */
#else
#define tlp   (lp)
#endif

/*****************************************************************************
*                        Header of data maker program                        *
*                                Version 3.0-fusion3d                        *
*                                           2005.4.21                        *
*                              Copyright  Keita Ogawa                        *
*****************************************************************************/

